## libxslt 1.1.32

=== debian/changelog ===
libxslt (1.1.32-2ubuntu0.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: Bypass of protection mechanism
    - debian/patches/CVE-2019-11068.patch: Fix security
      framework bypass checking for returns equal or less
      -1 in libxslt/documents.c, libxslt/imports.c,
      libxslt/transform.c,libxslt/xslt.c.
    - CVE-2019-11068

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 12 Apr 2019 13:44:12 -0300

libxslt (1.1.32-2) unstable; urgency=medium

  * Team upload.
  * Add missing Build-Depends on pkg-config.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 26 May 2018 23:12:37 +0200

libxslt (1.1.32-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.32.
  * d/patches:
    + Remove patches applied upstream.
    + Rebase the remaining patches.
  * Drop old debian/TODO file.
  * d/rules: include workaround that should make the package build on kfreebsd.
    Closes: #840096
  * d/control:
    + Bump Standards-Version to 4.1.4, no changes needed.
    + Move Vcs-* to salsa.debian.org.
  * d/libxslt1.1.symbols:
    + Add new symbols added in this release.
    + Remove symbols that were accidentally exported in previous releases.
  * Bump debhelper compat level to 11.
  * Drop the libxslt1-dbg package in favour of automatic dbgsym packages.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 26 May 2018 14:47:56 +0200

=== debian/control ===
Source: libxslt
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <syq@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 libgcrypt20-dev,
 libpython-all-dbg,
 libpython-all-dev (>= 2.6.6-3~),
 libxml2-dev (>= 2.6.27),
 perl:any,
 pkg-config,
 python-all-dev:any (>= 2.6.6-3~),
 rename,
Standards-Version: 4.1.4
Rules-Requires-Root: no
Homepage: http://xmlsoft.org/xslt/
Vcs-Browser: https://salsa.debian.org/xml-sgml-team/libxslt
Vcs-Git: https://salsa.debian.org/xml-sgml-team/libxslt.git

Package: libxslt1.1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: XSLT 1.0 processing library - runtime library
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT version 1.0.
 .
 This package contains the libxslt library used by applications for XSLT
 transformations.

Package: libxslt1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Provides:
 libxslt-dev,
Depends:
 libxml2-dev (>= 2.6.26),
 libxslt1.1 (= ${binary:Version}),
 ${misc:Depends},
Description: XSLT 1.0 processing library - development kit
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT version 1.0.
 .
 This package contains the development files for libxslt.

Package: xsltproc
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: XSLT 1.0 command line processor
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT version 1.0 stylesheets.
 .
 This package contains a command line tool that facilitates XSLT
 transformations.

Package: python-libxslt1
Section: python
Architecture: any
Provides:
 ${python:Provides},
Depends:
 python-libxml2,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Python bindings for libxslt1
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT version 1.0.
 .
 This package contains Python bindings for libxslt, needed to use
 libxslt in Python programs.

Package: python-libxslt1-dbg
Section: debug
Architecture: any
Provides:
 ${python:Provides},
Depends:
 python-dbg,
 python-libxml2-dbg,
 python-libxslt1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Python bindings for libxslt1 (debug extension)
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.
 using standard XSLT stylesheets. libxslt is a C library which
 implements XSLT version 1.0.
 .
 This package contains Python bindings for libxslt, needed to use
 libxslt in Python programs for use with the Python debug interpreter.

## libxslt 1.1.32.3

=== debian/changelog ===
libxslt (1.1.32.3-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 49827e3e11735b5ee564fb628407baac4cec51eb']

 -- shuttle <shuttle@deepin.com>  Thu, 05 Nov 2020 12:22:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libxslt
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
+Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
 Uploaders:
  Aron Xu <aron@debian.org>,
  YunQiang Su <syq@debian.org>,

## libxslt 1.1.32.4

=== debian/changelog ===
libxslt (1.1.32.4-deepin1) unstable; urgency=medium

  * update the version number.

 -- dinghao <dinghao@uniontech.com>  Fri, 04 Nov 2022 13:21:58 +0800

libxslt (1.1.32.3-1+deepin) unstable; urgency=medium

  * fix CVE-2021-30560.

 -- dinghao <dinghao@uniontech.com>  Thu, 27 Oct 2022 17:33:31 +0800

libxslt (1.1.32.2-1+deepin) unstable; urgency=medium

  * Team upload.
  * Add missing Build-Depends on pkg-config.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 26 May 2018 23:12:37 +0200

=== debian/rules ===
#!/usr/bin/make -f

# The versions of python currently supported
PYVERS=$(shell pyversions -s)
# The current default version of python
PYVER=$(shell pyversions -d)

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

CONFIGURE_FLAGS := --with-history --cache-file="$(CURDIR)/builddir/config.cache"

TARGETS := main $(PYVERS) $(PYVERS:%=%-dbg)

override_dh_auto_configure: $(TARGETS:%=configure-%)

configure-%:
	-test -r /usr/share/misc/config.sub && \
	cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	cp -f /usr/share/misc/config.guess config.guess
	dh_auto_configure --builddirectory=builddir/$* -- $(CONFIGURE_FLAGS)

configure-main: CONFIGURE_FLAGS += --without-python
configure-python%: CONFIGURE_FLAGS += --with-python=/usr/bin/$*

override_dh_auto_build: $(TARGETS:%=dobuild-%)

dobuild-%: BUILD_DIR=builddir/$*
dobuild-%:
	$(if $(filter $(BUILD_DIR),builddir/$*),,[ -d $(BUILD_DIR) ] || mv builddir/$*/python $(BUILD_DIR))
	dh_auto_build --builddirectory=$(BUILD_DIR) -- $(BUILD_FLAGS)

dobuild-python%: BUILD_DIR=builddir/main/$*
dobuild-python%-dbg doinstall-python%-dbg: BUILD_FLAGS = PYTHON_INCLUDES=/usr/include/$(*:-dbg=_d) \
    LDFLAGS="$(LDFLAGS) -L$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)" CFLAGS="$(CFLAGS) -Wall -O0"

override_dh_auto_clean:
	rm -rf builddir debian/tmp-dbg config.sub config.guess autogen.sh
	dh_auto_clean

override_dh_auto_install: $(TARGETS:%=doinstall-%)
	find debian/ -name *.la -delete

doinstall-main:
	dh_auto_install --builddirectory=builddir/main

	# https://lintian.debian.org/tags/non-empty-dependency_libs-in-la-file.html
	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

	# Move arch-specific headers into /usr/include/<triplet>/libxslt
	mkdir -pv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/libxslt
	mv -v debian/tmp/usr/include/libxslt/xsltconfig.h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/libxslt

	# Properly install documentation in /usr/share/doc/libxslt1-dev
	install -d debian/tmp/usr/share/doc/libxslt1-dev/EXSLT
	install -m 644 \
		doc/*.html \
		doc/*.gif \
		doc/libxslt-*.xml debian/tmp/usr/share/doc/libxslt1-dev
	install -m 644 \
		doc/EXSLT/*.html \
		doc/EXSLT/libexslt-*.xml debian/tmp/usr/share/doc/libxslt1-dev
	cp -a \
		doc/html \
		doc/tutorial \
		doc/tutorial2 debian/tmp/usr/share/doc/libxslt1-dev
	cp -a \
		doc/EXSLT/html debian/tmp/usr/share/doc/libxslt1-dev/EXSLT

doinstall-python%-dbg:
	$(MAKE) -C builddir/main/python$*-dbg DESTDIR=$(CURDIR)/debian/tmp-dbg install-pythonLTLIBRARIES $(BUILD_FLAGS)
	prename 's/(?<!_d)\.so$$/_d.so/' debian/tmp-dbg/usr/lib/python$*/*-packages/*.so

doinstall-python%:
	dh_auto_install --builddirectory=builddir/main/python$*

override_dh_installdocs:
	dh_installdocs -a -A AUTHORS FEATURES NEWS README TODO

override_dh_installchangelogs:
	dh_installchangelogs -a ChangeLog

override_dh_install:
	dh_install -Npython-libxslt1-dbg
	dh_install -ppython-libxslt1-dbg --sourcedir=debian/tmp-dbg

override_dh_strip:
	dh_strip -a -Npython-libxslt1 -Npython-libxslt1-dbg
	dh_strip -ppython-libxslt1 --dbg-package=python-libxslt1-dbg
	$(foreach python, $(filter-out $(PYVER), $(PYVERS)),\
		cd $(CURDIR)/debian/python-libxslt1/usr/lib/pyshared; \
		if diff $(python)/libxsltmod.so $(PYVER)/libxsltmod.so > /dev/null 2>&1; then \
			rm -f $(python)/libxsltmod.so; \
			ln -s ../$(PYVER)/libxsltmod.so $(python)/libxsltmod.so; \
		fi;)

override_dh_compress:
	dh_compress -a -Xexamples/

override_dh_makeshlibs:
	dh_makeshlibs -a -V 'libxslt1.1 (>= 1.1.26)' -- -c4

%:
	dh $@ --with python2

## libxslt 1.1.33

=== debian/changelog ===
libxslt (1.1.33-0ubuntu1) eoan; urgency=medium

  * New upstream version
  * debian/patches/0003-fix-typo.patch:
    - removed, fixed in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 27 Aug 2019 18:01:01 +0300

libxslt (1.1.32-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix security framework bypass (CVE-2019-11068) (Closes: #926895, #933743)
  * Fix uninitialized read of xsl:number token (CVE-2019-13117)
    (Closes: #931321, #933743)
  * Fix uninitialized read with UTF-8 grouping chars (CVE-2019-13118)
    (Closes: #931320, #933743)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 04 Aug 2019 08:14:05 +0200

## libxslt 1.1.34

=== debian/changelog ===
libxslt (1.1.34-4+deb11u3) bullseye-security; urgency=high

  * Non-maintainer upload by the LTS Team.

  [ Jochen Sprickerhof ]
  * CVE-2023-40403: Fix information disclosure with improved memory handling
    of generated-id() (closes: #1108074).
  * CVE-2025-7424: Fix type confusion in xmlNode.psvi between stylesheet and
    source nodes (closes: #1109123).

  [ Guilhem Moulin ]
  * Fix backport of upstream change for issue #123 "generate-id() is
    non-deterministic".
  * d/patches: Drop unrelated upstream change ed11eaa9.
  * d/patches: Add DEP-3 headers for the patches added since 1.1.34-4+deb11u2.
  * Cherry-pick upstream recursion tests in EXSLT dynamic functions in
    preparation for the upcoming CVE-2025-9714/libxml2 fix.
  * Add d/salsa-ci.yml for Salsa CI.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 24 Sep 2025 13:28:13 +0200

libxslt (1.1.34-4+deb11u2) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2024-55549: Use-after-free related to excluded namespaces
  * CVE-2025-24855: Use-after-free of XPath context node

 -- Adrian Bunk <bunk@debian.org>  Mon, 24 Mar 2025 10:15:36 +0200

libxslt (1.1.34-4+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix use-after-free in xsltApplyTemplates (CVE-2021-30560)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 22 Aug 2022 21:15:10 +0200

libxslt (1.1.34-4) unstable; urgency=medium

  * Team upload.
  * Add patch to make the xslt-config script compatible with multi-arch.
    Closes: #952768

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 04 Mar 2020 14:02:32 +0100

libxslt (1.1.34-3) unstable; urgency=medium

  * Team upload.
  * Add a patch to fix FTBFS when built twice in a row.  Closes: #947914
    (Add build-dependency on docbook-xsl for this.)

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 22 Feb 2020 15:28:46 +0100

libxslt (1.1.34-2) unstable; urgency=medium

  * Team upload.
  * Re-add the xslt-config script for now.
  * d/control: Bump Standards-Version to 4.5.0, no changes needed.
  * Upload to unstable.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 21 Feb 2020 14:24:17 +0100

libxslt (1.1.34-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.1.34.
  * Refresh patches
  * d/libxslt1.1.symbols: Add new symbols.
  * d/control:
    + Bump debhelper compat level to 12.
    + Bump Standards-Version to 4.4.1, no changes needed.
  * Stop building and installing the static library.
  * Stop installing xslt-config, please use pkg-config.
  * Drop Python2 packages.  Closes: #936942
  * Make use of dh_missing --fail-missing:
    + Leave the docs files where the upstream build system put them, and just
      move them into the right package.  All the documentation was this way
      moved into an extra html/ directory.
    + Installs files in a way that lets dh_missing detect them as installed.
     + d/not-installed: list xslt-config.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 25 Nov 2019 19:22:08 +0100

libxslt (1.1.32-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix dangling pointer in xsltCopyText (CVE-2019-18197) (Closes: #942646)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 19 Oct 2019 21:21:23 +0200

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,14 @@
  Aron Xu <aron@debian.org>,
  YunQiang Su <syq@debian.org>,
 Build-Depends:
- debhelper (>= 11),
- dh-python,
+ debhelper-compat (= 12),
+ docbook-xsl,
  libgcrypt20-dev,
- libpython-all-dbg,
- libpython-all-dev (>= 2.6.6-3~),
  libxml2-dev (>= 2.6.27),
  perl:any,
  pkg-config,
- python-all-dev:any (>= 2.6.6-3~),
  rename,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: http://xmlsoft.org/xslt/
 Vcs-Browser: https://salsa.debian.org/xml-sgml-team/libxslt
@@ -71,42 +68,3 @@
  .
  This package contains a command line tool that facilitates XSLT
  transformations.
-
-Package: python-libxslt1
-Section: python
-Architecture: any
-Provides:
- ${python:Provides},
-Depends:
- python-libxml2,
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends},
-Description: Python bindings for libxslt1
- XSLT is an XML language for defining transformations of XML files from
- XML to some other arbitrary format, such as XML, HTML, plain text, etc.
- using standard XSLT stylesheets. libxslt is a C library which
- implements XSLT version 1.0.
- .
- This package contains Python bindings for libxslt, needed to use
- libxslt in Python programs.
-
-Package: python-libxslt1-dbg
-Section: debug
-Architecture: any
-Provides:
- ${python:Provides},
-Depends:
- python-dbg,
- python-libxml2-dbg,
- python-libxslt1 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Description: Python bindings for libxslt1 (debug extension)
- XSLT is an XML language for defining transformations of XML files from
- XML to some other arbitrary format, such as XML, HTML, plain text, etc.
- using standard XSLT stylesheets. libxslt is a C library which
- implements XSLT version 1.0.
- .
- This package contains Python bindings for libxslt, needed to use
- libxslt in Python programs for use with the Python debug interpreter.

=== debian/watch ===
version=4
opts="pgpmode=auto" \
ftp://xmlsoft.org/libxslt/libxslt-([\d\.]+)\.tar\.gz

## libxslt 1.1.35

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)

project(libxslt1 VERSION 1.1.35 LANGUAGES C)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})

include(CheckCSourceCompiles)
include(CheckFunctionExists)
include(CheckIncludeFiles)
include(CheckLibraryExists)
include(CheckSymbolExists)
include(CMakePackageConfigHelpers)
include(GNUInstallDirs)

find_package(LibXml2 CONFIG REQUIRED)

option(BUILD_SHARED_LIBS "Build shared libraries" ON)
option(LIBXSLT_WITH_DEBUGGER "Add the debugging support" ON)
option(LIBXSLT_WITH_CRYPTO "Add crypto support to exslt" OFF)
option(LIBXSLT_WITH_MEM_DEBUG "Add the memory debugging module" OFF)
option(LIBXSLT_WITH_MODULES "Add the module support" ON)
option(LIBXSLT_WITH_PROFILER "Add the profiling support" ON)
option(LIBXSLT_WITH_PYTHON "Build Python bindings" ON)
option(LIBXSLT_WITH_TESTS "Build tests" ON)
option(LIBXSLT_WITH_THREADS "Add multithread support" ON)
set(LIBXSLT_WITH_TRIO OFF)
option(LIBXSLT_WITH_XSLT_DEBUG "Add the debugging code" ON)

if(LIBXSLT_WITH_CRYPTO)
	find_package(Gcrypt REQUIRED)
endif()

if(LIBXSLT_WITH_PYTHON)
	check_include_files(unistd.h HAVE_UNISTD_H)
	check_symbol_exists(F_GETFL fcntl.h HAVE_F_GETFL)
	if(HAVE_UNISTD_H AND HAVE_F_GETFL)
		find_package(Python COMPONENTS Interpreter Development REQUIRED)
	else()
		find_package(Python2 COMPONENTS Interpreter Development REQUIRED)
		add_library(Python::Python ALIAS Python2::Python)
		set(Python_EXECUTABLE ${Python2_EXECUTABLE})
		set(Python_SITEARCH ${Python2_SITEARCH})
	endif()
	set(LIBXSLT_PYTHON_INSTALL_DIR ${Python_SITEARCH} CACHE PATH "Python bindings install directory")
endif()

if(LIBXSLT_WITH_THREADS)
	find_package(Threads REQUIRED)
endif()

foreach(VARIABLE IN ITEMS WITH_CRYPTO WITH_DEBUGGER WITH_MEM_DEBUG WITH_MODULES WITH_PROFILER WITH_PYTHON WITH_TRIO WITH_XSLT_DEBUG)
	if(LIBXSLT_${VARIABLE})
		set(${VARIABLE} 1)
	else()
		set(${VARIABLE} 0)
	endif()
endforeach()

set(LIBEXSLT_MAJOR_VERSION 0)
set(LIBEXSLT_MINOR_VERSION 8)
set(LIBEXSLT_MICRO_VERSION 20)

set(LIBEXSLT_DOTTED_VERSION ${LIBEXSLT_MAJOR_VERSION}.${LIBEXSLT_MINOR_VERSION}.${LIBEXSLT_MICRO_VERSION})
math(EXPR LIBEXSLT_VERSION_NUMBER "${LIBEXSLT_MAJOR_VERSION} * 10000 + ${LIBEXSLT_MINOR_VERSION} * 100 + ${LIBEXSLT_MICRO_VERSION}")
set(LIBEXSLT_VERSION_EXTRA "")

set(LIBXSLT_MAJOR_VERSION ${PROJECT_VERSION_MAJOR})
set(LIBXSLT_MINOR_VERSION ${PROJECT_VERSION_MINOR})
set(LIBXSLT_MICRO_VERSION ${PROJECT_VERSION_PATCH})

set(LIBXSLT_DOTTED_VERSION "${LIBXSLT_MAJOR_VERSION}.${LIBXSLT_MINOR_VERSION}.${LIBXSLT_MICRO_VERSION}")
math(EXPR LIBXSLT_VERSION_NUMBER "${LIBXSLT_MAJOR_VERSION} * 10000 + ${LIBXSLT_MINOR_VERSION} * 100 + ${LIBXSLT_MICRO_VERSION}")
set(LIBXSLT_VERSION_EXTRA "")

set(VERSION ${LIBXSLT_DOTTED_VERSION})
set(LIBEXSLT_VERSION ${LIBEXSLT_DOTTED_VERSION})

set(MODULE_EXTENSION "${CMAKE_SHARED_LIBRARY_SUFFIX}")

if(LIBXSLT_WITH_CRYPTO)
	list(APPEND CMAKE_REQUIRED_LIBRARIES Gcrypt::Gcrypt)
endif()

if(LIBXSLT_WITH_THREADS)
	list(APPEND CMAKE_REQUIRED_LIBRARIES Threads::Threads)
endif()

if(MSVC)
	configure_file(libxslt/win32config.h config.h COPYONLY)
	configure_file(libxslt/win32config.h win32config.h COPYONLY)
else()
	if(UNIX)
		set(CMAKE_REQUIRED_LIBRARIES m)
	endif()
	check_function_exists(clock_gettime HAVE_CLOCK_GETTIME)
	check_include_files(dlfcn.h HAVE_DLFCN_H)
	check_function_exists(fabs HAVE_FABS)
	check_include_files(float.h HAVE_FLOAT_H)
	check_function_exists(floor HAVE_FLOOR)
	check_function_exists(fprintf HAVE_FPRINTF)
	check_include_files(fp_class.h HAVE_FP_CLASS_H)
	check_function_exists(ftime HAVE_FTIME)
	check_library_exists(gcrypt gcry_control "gcrypt.h" HAVE_GCRYPT)
	check_function_exists(gettimeofday HAVE_GETTIMEOFDAY)
	check_function_exists(gmtime HAVE_GMTIME)
	check_function_exists(gmtime_r HAVE_GMTIME_R)
	check_include_files(ieeefp.h HAVE_IEEEFP_H)
	check_include_files(inttypes.h HAVE_INTTYPES_H)
	check_library_exists(pthread pthread_join "" HAVE_LIBPTHREAD)
	check_include_files(locale.h HAVE_LOCALE_H)
	check_function_exists(localtime HAVE_LOCALTIME)
	check_function_exists(localtime_r HAVE_LOCALTIME_R)
	check_include_files(math.h HAVE_MATH_H)
	check_include_files(memory.h HAVE_MEMORY_H)
	check_include_files(nan.h HAVE_NAN_H)
	check_function_exists(pow HAVE_POW)
	check_function_exists(printf HAVE_PRINTF)
	check_include_files(pthread.h HAVE_PTHREAD_H)
	check_function_exists(snprintf HAVE_SNPRINTF)
	check_function_exists(sprintf HAVE_SPRINTF)
	check_function_exists(sscanf HAVE_SSCANF)
	check_function_exists(stat HAVE_STAT)
	check_include_files(stdarg.h HAVE_STDARG_H)
	check_include_files(stdint.h HAVE_STDINT_H)
	check_include_files(stdlib.h HAVE_STDLIB_H)
	check_include_files(strings.h HAVE_STRINGS_H)
	check_include_files(string.h HAVE_STRING_H)
	check_function_exists(strxfrm_l HAVE_STRXFRM_L)
	check_include_files(sys/select.h HAVE_SYS_SELECT_H)
	check_include_files(sys/stat.h HAVE_SYS_STAT_H)
	check_include_files(sys/timeb.h HAVE_SYS_TIMEB_H)
	check_include_files(sys/time.h HAVE_SYS_TIME_H)
	check_include_files(sys/types.h HAVE_SYS_TYPES_H)
	check_function_exists(time HAVE_TIME)
	check_include_files(time.h HAVE_TIME_H)
	check_include_files(unistd.h HAVE_UNISTD_H)
	check_function_exists(vfprintf HAVE_VFPRINTF)
	check_function_exists(vsnprintf HAVE_VSNPRINTF)
	check_function_exists(vsprintf HAVE_VSPRINTF)
	check_include_files(xlocale.h HAVE_XLOCALE_H)
	check_function_exists(_stat HAVE__STAT)
	set(LT_OBJDIR ".libs/")
	set(PACKAGE "libxslt")
	set(PACKAGE_BUGREPORT "xml@gnome.org")
	set(PACKAGE_NAME "libxslt")
	set(PACKAGE_STRING "libxslt ${LIBXSLT_DOTTED_VERSION}")
	set(PACKAGE_TARNAME "libxslt")
	set(PACKAGE_URL "https://gitlab.gnome.org/GNOME/libxslt")
	set(PACKAGE_VERSION ${LIBXSLT_DOTTED_VERSION})
	check_include_files("float.h;stdarg.h;stdlib.h;string.h" STDC_HEADERS)
	set(_ALL_SOURCE ON)
	set(_GNU_SOURCE ON)
	set(_POSIX_PTHREAD_SEMANTICS ON)
	set(_TANDEM_SOURCE ON)
	check_c_source_compiles("
		#define __EXTENSIONS__ 1
		int main() { return 0; }
	" __EXTENSIONS__)
	check_include_files(minix/config.h HAVE_MINIX_CONFIG_H)
	if(HAVE_MINIX_CONFIG_H)
		set(_MINIX ON)
		set(_POSIX_1_SOURCE ON)
		set(_POSIX_SOURCE ON)
	endif()
	configure_file(config.h.cmake.in config.h)
endif()

configure_file(libexslt/exsltconfig.h.in libexslt/exsltconfig.h)
configure_file(libxslt/xsltconfig.h.in libxslt/xsltconfig.h)

set(
	LIBXSLT_HDRS
	libxslt/attributes.h
	libxslt/documents.h
	libxslt/extensions.h
	libxslt/extra.h
	libxslt/functions.h
	libxslt/imports.h
	libxslt/keys.h
	libxslt/namespaces.h
	libxslt/numbersInternals.h
	libxslt/pattern.h
	libxslt/preproc.h
	libxslt/security.h
	libxslt/templates.h
	libxslt/transform.h
	libxslt/variables.h
	libxslt/xslt.h
	${CMAKE_CURRENT_BINARY_DIR}/libxslt/xsltconfig.h
	libxslt/xsltexports.h
	libxslt/xsltInternals.h
	libxslt/xsltlocale.h
	libxslt/xsltutils.h
)

set(
	LIBXSLT_SRCS
	libxslt/attributes.c
	libxslt/attrvt.c
	libxslt/documents.c
	libxslt/extensions.c
	libxslt/extra.c
	libxslt/functions.c
	libxslt/imports.c
	libxslt/keys.c
	libxslt/namespaces.c
	libxslt/numbers.c
	libxslt/pattern.c
	libxslt/preproc.c
	libxslt/security.c
	libxslt/templates.c
	libxslt/transform.c
	libxslt/variables.c
	libxslt/xslt.c
	libxslt/xsltlocale.c
	libxslt/xsltutils.c
)

add_library(LibXslt ${LIBXSLT_HDRS} ${LIBXSLT_SRCS})
add_library(LibXslt::LibXslt ALIAS LibXslt)

target_include_directories(
	LibXslt
	PUBLIC
	$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
	$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
	$<INSTALL_INTERFACE:$<INSTALL_PREFIX>/${CMAKE_INSTALL_INCLUDEDIR}>
)

target_link_libraries(LibXslt PUBLIC LibXml2::LibXml2)

if(UNIX)
	target_link_libraries(LibXslt PRIVATE m)
	set(M_LIBS "-lm")
endif()

set_target_properties(
	LibXslt
	PROPERTIES
	IMPORT_PREFIX lib
	OUTPUT_NAME xslt
	POSITION_INDEPENDENT_CODE ON
	PREFIX lib
	VERSION ${PROJECT_VERSION}
)

if(MSVC)
	if(BUILD_SHARED_LIBS)
		set_target_properties(
			LibXslt
			PROPERTIES
			DEBUG_POSTFIX d
		)
	else()
		set_target_properties(
			LibXslt
			PROPERTIES
			DEBUG_POSTFIX sd
			MINSIZEREL_POSTFIX s
			RELEASE_POSTFIX s
			RELWITHDEBINFO_POSTFIX s
		)
	endif()
endif()

install(FILES ${LIBXSLT_HDRS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libxslt COMPONENT development)

install(
	TARGETS	LibXslt
	EXPORT LibXslt
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT development
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT runtime NAMELINK_COMPONENT development
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT runtime
)

if(MSVC AND BUILD_SHARED_LIBS)
	install(FILES $<TARGET_PDB_FILE:LibXslt> DESTINATION ${CMAKE_INSTALL_BINDIR} CONFIGURATIONS Debug RelWithDebInfo COMPONENT debug)
endif()

set(
	LIBEXSLT_HDRS
	libexslt/exslt.h
	${CMAKE_CURRENT_BINARY_DIR}/libexslt/exsltconfig.h
	libexslt/exsltexports.h
)

set(
	LIBEXSLT_SRCS
	libexslt/common.c
	libexslt/crypto.c
	libexslt/date.c
	libexslt/dynamic.c
	libexslt/exslt.c
	libexslt/functions.c
	libexslt/libexslt.h
	libexslt/math.c
	libexslt/saxon.c
	libexslt/sets.c
	libexslt/strings.c
)

add_library(LibExslt ${LIBEXSLT_HDRS} ${LIBEXSLT_SRCS})
add_library(LibXslt::LibExslt ALIAS LibExslt)

target_include_directories(
	LibExslt
	PUBLIC
	$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
	$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
	$<INSTALL_INTERFACE:$<INSTALL_PREFIX>/${CMAKE_INSTALL_INCLUDEDIR}>
)

if(LIBXSLT_WITH_CRYPTO)
	target_link_libraries(LibExslt PRIVATE Gcrypt::Gcrypt)
	set(LIBGCRYPT_LIBS "-lgcrypt")
endif()

target_link_libraries(LibExslt PUBLIC LibXslt LibXml2::LibXml2)

set_target_properties(
	LibExslt
	PROPERTIES
	IMPORT_PREFIX lib
	OUTPUT_NAME exslt
	POSITION_INDEPENDENT_CODE ON
	PREFIX lib
	VERSION ${LIBEXSLT_VERSION}
)

if(MSVC)
	if(BUILD_SHARED_LIBS)
		set_target_properties(
			LibExslt
			PROPERTIES
			DEBUG_POSTFIX d
		)
	else()
		set_target_properties(
			LibExslt
			PROPERTIES
			DEBUG_POSTFIX sd
			MINSIZEREL_POSTFIX s
			RELEASE_POSTFIX s
			RELWITHDEBINFO_POSTFIX s
		)
	endif()
endif()

install(FILES ${LIBEXSLT_HDRS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libexslt COMPONENT development)

install(
	TARGETS	LibExslt
	EXPORT LibXslt
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT development
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT runtime NAMELINK_COMPONENT development
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT runtime
)

if(MSVC AND BUILD_SHARED_LIBS)
	install(FILES $<TARGET_PDB_FILE:LibExslt> DESTINATION ${CMAKE_INSTALL_BINDIR} CONFIGURATIONS Debug RelWithDebInfo COMPONENT debug)
endif()

add_executable(xsltproc xsltproc/xsltproc.c)
add_executable(LibXslt::xsltproc ALIAS xsltproc)
target_include_directories(xsltproc PRIVATE $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>)
target_link_libraries(xsltproc LibExslt LibXslt)
install(TARGETS xsltproc EXPORT LibXslt RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT programs)

if(LIBXSLT_WITH_TESTS)
	enable_testing()
	if(Threads_FOUND)
		add_executable(testThreads xsltproc/testThreads.c)
		target_link_libraries(testThreads LibXslt LibExslt Threads::Threads)
		add_test(NAME testThreads COMMAND testThreads WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
	endif()
endif()

if(LIBXSLT_WITH_PYTHON)
	set(ENV{SRCDIR} ${CMAKE_CURRENT_SOURCE_DIR}/python)
	execute_process(
		COMMAND
		${Python_EXECUTABLE}
		${CMAKE_CURRENT_SOURCE_DIR}/python/generator.py
		${CMAKE_CURRENT_SOURCE_DIR}/doc/libxslt-api.xml
		${CMAKE_CURRENT_SOURCE_DIR}/python/libxslt-python-api.xml
		WORKING_DIRECTORY
		${CMAKE_CURRENT_BINARY_DIR}
	)
	unset(ENV{SRCDIR})
	file(READ python/libxsl.py LIBXSL_PY)
	file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/libxslt.py.in "${LIBXSL_PY}")
	file(READ ${CMAKE_CURRENT_BINARY_DIR}/libxsltclass.py LIBXSLTCLASS_PY)
	file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/libxslt.py.in "${LIBXSLTCLASS_PY}")
	configure_file(${CMAKE_CURRENT_BINARY_DIR}/libxslt.py.in libxslt.py COPYONLY)
	add_library(
		LibXsltMod
		libxslt-py.c
		libxslt-py.h
		python/libxml_wrap.h
		python/libxslt.c
		python/libxslt_wrap.h
		python/types.c
	)
	target_include_directories(
		LibXsltMod
		PUBLIC

=== debian/changelog ===
libxslt (1.1.35-1aatgv1) unstable; urgency=medium

  * Build for m-privacy
  * Add RSBAC settings
  * debian/rules:
    - export DEB_CFLAGS_MAINT_APPEND += -mtune=corei7 -flto=8 -ffat-lto-objects
    - export DEB_CXXFLAGS_MAINT_APPEND += -mtune=corei7 -flto=8 -ffat-lto-objects
    - export DEB_LDFLAGS_MAINT_APPEND += -flto=8 -ffat-lto-objects

 -- Amon Ott <ao@m-privacy.de>  Fri, 05 Aug 2022 12:39:44 +0200

libxslt (1.1.35-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.35.
  * Refresh patches.
  * Update Homepage and d/watch to point to the new GNOME-based home
  * d/*.doc-base: rename the document name, it shouldn't match the binary
    package name.
  * Install the new gtk-doc documentation.
  * Do not install the .cmake file that come with the new version.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 15 Jul 2022 15:29:07 +0200

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
  docbook-xsl,
  libgcrypt20-dev,
  libxml2-dev (>= 2.6.27),
- perl:any,
+ perl,
  pkg-config,
  rename,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Homepage: http://xmlsoft.org/xslt/
+Homepage: https://gitlab.gnome.org/GNOME/libxslt/-/wikis/home
 Vcs-Browser: https://salsa.debian.org/xml-sgml-team/libxslt
 Vcs-Git: https://salsa.debian.org/xml-sgml-team/libxslt.git

=== debian/rules ===
#!/usr/bin/make -f

# m-privacy
export DEB_CFLAGS_MAINT_APPEND += -mtune=corei7 -flto=8 -ffat-lto-objects
export DEB_CXXFLAGS_MAINT_APPEND += -mtune=corei7 -flto=8 -ffat-lto-objects
export DEB_LDFLAGS_MAINT_APPEND += -flto=8 -ffat-lto-objects

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CONFIGURE_FLAGS := --without-python --with-history --disable-static

TARGETS := main

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_auto_clean:
	rm -rf builddir debian/tmp-dbg config.sub config.guess autogen.sh
	dh_auto_clean

override_dh_auto_test:
	:

override_dh_auto_install:
	dh_auto_install

	# https://lintian.debian.org/tags/non-empty-dependency_libs-in-la-file.html
	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

	# Move arch-specific headers into /usr/include/<triplet>/libxslt
	mkdir -pv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/libxslt
	mv -v debian/tmp/usr/include/libxslt/xsltconfig.h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/libxslt

	find debian/ -name *.la -delete

override_dh_installdocs:
	dh_installdocs -a -A AUTHORS FEATURES NEWS README TODO

override_dh_installchangelogs:
	dh_installchangelogs -a ChangeLog

override_dh_compress:
	mp_rsbac
	dh_compress -a -Xexamples/

override_dh_makeshlibs:
	dh_makeshlibs -a -V 'libxslt1.1 (>= 1.1.26)' -- -c4

override_dh_missing:
	dh_missing --fail-missing

%:
	dh $@

## libxslt 1.1.39

=== debian/changelog ===
libxslt (1.1.39-0exp1ubuntu4) plucky; urgency=medium

  * SECURITY UPDATE: use-after-free via nested XPath evaluations
    - debian/patches/CVE-2025-24855.patch: properly handle XPath context
      nodes and transformation context nodes in libxslt/numbers.c,
      libxslt/templates.c, libxslt/xsltutils.c.
    - CVE-2025-24855

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 19 Mar 2025 12:45:49 -0400

libxslt (1.1.39-0exp1ubuntu3) plucky; urgency=medium

  * SECURITY UPDATE: use-after-free via exclusion of result prefixes
    - debian/patches/CVE-2024-55549.patch: store string in stylesheet's
      dict to avoid use after free in libxslt/xslt.c.
    - CVE-2024-55549

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Mar 2025 10:22:08 -0400

libxslt (1.1.39-0exp1ubuntu2) plucky; urgency=medium

  * No change rebuild against libxml 2.12.7+dfsg+really2.9.14-0.2build1
    (LP: #2089307).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 03 Dec 2024 15:39:12 +1300

libxslt (1.1.39-0exp1ubuntu1) oracular; urgency=medium

  * debian: Backport patch to find libgcrypt again

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 21 Aug 2024 16:45:35 +0200

libxslt (1.1.39-0exp1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:02:49 +0000

libxslt (1.1.39-0exp1) experimental; urgency=medium

  * New upstream version 1.1.39
  * Drop patch merged upstream, update other ones
  * Update std-ver to 3.6.2, no change required
  * Override source-is-missing lintian warning
  * d/rules: install README.md
  * d/rules: remove override_dh_installchangelogs
  * Update documentation files and doc-base registration
  * d/control: replace pkg-config with pkgconf

 -- Aron Xu <aron@debian.org>  Wed, 28 Feb 2024 15:26:07 +0800

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,4 @@
 #!/usr/bin/make -f
-
-# m-privacy
-export DEB_CFLAGS_MAINT_APPEND += -mtune=corei7 -flto=8 -ffat-lto-objects
-export DEB_CXXFLAGS_MAINT_APPEND += -mtune=corei7 -flto=8 -ffat-lto-objects
-export DEB_LDFLAGS_MAINT_APPEND += -flto=8 -ffat-lto-objects
 
 include /usr/share/dpkg/architecture.mk
 
@@ -36,13 +31,9 @@
 	find debian/ -name *.la -delete
 
 override_dh_installdocs:
-	dh_installdocs -a -A AUTHORS FEATURES NEWS README TODO
-
-override_dh_installchangelogs:
-	dh_installchangelogs -a ChangeLog
+	dh_installdocs -a -A AUTHORS FEATURES NEWS README.md TODO
 
 override_dh_compress:
-	mp_rsbac
 	dh_compress -a -Xexamples/
 
 override_dh_makeshlibs:

## libxslt 1.1.43

=== debian/changelog ===
libxslt (1.1.43-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2025-11731: End function node ancestor search at document,
    taken from the trunk.
  * CVE-2025-10911: Proposed patch, taken from
    https://gitlab.gnome.org/GNOME/libxslt/-/merge_requests/77.

 -- Matthias Klose <doko@debian.org>  Fri, 24 Oct 2025 19:05:05 +0200

libxslt (1.1.43-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add changelog entries for 1.1.35-1.1, 1.1.35-1.2 and 1.1.35-2.
  * Fix maintainer address.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Aug 2025 10:05:12 +0200

libxslt (1.1.43-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2025-7424: libxslt: Type confusion in xmlNode.psvi between
    stylesheet and source nodes.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Aug 2025 11:52:50 +0200

libxslt (1.1.43-0exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * Explicitly configure with --with-crypto.

 -- Matthias Klose <doko@debian.org>  Tue, 20 May 2025 07:46:42 +0200

libxslt (1.1.35-2) unstable; urgency=medium

  * Fix information disclosure with improved memory handling of generated-id()
    (Closes: #1108074, CVE-2023-40403)
  * Fix type confusion in xmlNode.psvi between stylesheet and source nodes
    (Closes: #1109123, CVE-2025-7424)
  * debian/control: replace pkg-config with pkgconf

 -- Aron Xu <aron@debian.org>  Wed, 13 Aug 2025 19:12:53 +0800

libxslt (1.1.35-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix UAF related to excluded namespaces (CVE-2024-55549) (Closes: #1100565)
  * Fix use-after-free of XPath context node (CVE-2025-24855)
    (Closes: #1100566)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 15 Mar 2025 14:03:26 +0100

libxslt (1.1.35-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing #include <stdlib.h> to fix FTFBS. Closes: #1073312
  * Use pkg-config to locate libgcrypt. Closes: #1071937

 -- Andreas Metzler <ametzler@debian.org>  Tue, 09 Jul 2024 13:56:17 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  debhelper-compat (= 12),
  docbook-xsl,
  libgcrypt20-dev,
- libxml2-dev (>= 2.6.27),
- perl,
- pkg-config,
+ libxml2-dev (>= 2.14),
+ perl:any,
+ pkgconf,
  rename,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.gnome.org/GNOME/libxslt/-/wikis/home
 Vcs-Browser: https://salsa.debian.org/xml-sgml-team/libxslt
@@ -44,7 +44,7 @@
 Provides:
  libxslt-dev,
 Depends:
- libxml2-dev (>= 2.6.26),
+ libxml2-dev (>= 2.14),
  libxslt1.1 (= ${binary:Version}),
  ${misc:Depends},
 Description: XSLT 1.0 processing library - development kit

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-CONFIGURE_FLAGS := --without-python --with-history --disable-static
+CONFIGURE_FLAGS := --without-python --with-history --disable-static --with-crypto
 
 TARGETS := main
